Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 423379

Summary: Portage incorrectly solve dependencies for media-video/mplayer2-2.0_p20120309 and media-plugins/gst-plugins-ffmpeg-0.10.13-r2
Product: Portage Development Reporter: Alexander Tsoy <alexander>
Component: Core - DependenciesAssignee: Portage team <dev-portage>
Status: RESOLVED OBSOLETE    
Severity: normal CC: esigra, pacho, proxy-maint
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 300071, 422707    

Description Alexander Tsoy 2012-06-24 18:22:04 UTC
Portage incorrectly solve this dependencies:

"
        || ( media-libs/libpostproc <media-video/libav-0.8.2-r1 media-video/ffmpeg )
        >=virtual/ffmpeg-0.10.2
"

which i.e. can be found in media-video/mplayer2-2.0_p20120309 and media-plugins/gst-plugins-ffmpeg-0.10.13-r2

Reproducible: Always

Steps to Reproduce:
1. Have almost stable fully updated system (amd64) with media-video/libav and mplayer2 and/or gst-plugins-ffmpeg installed
2. Downgrade libav to version 0.8.2

# emerge -1av =media-video/libav-0.8.2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD ] media-video/libav-0.8.2 [0.8.3] USE="X aac alsa amr bzip2 encode faac gpl hardcoded-tables ieee1394 jpeg2k mmx mmxext mp3 pulseaudio qt-faststart speex ssl theora threads truetype vaapi vdpau vorbis vpx x264 xvid zlib -3dnow -3dnowext (-altivec) -avx -bindist -cdio -cpudetection -custom-cflags -debug -dirac -doc -frei0r -gsm (-iwmmxt) -jack (-neon) -network -openssl -oss -pic -rtmp -schroedinger -sdl -ssse3 -static-libs -test -v4l (-vis)" 3,719 kB
[uninstall     ] media-libs/libpostproc-0.8.0.20120229  USE="mmx -3dnow -3dnowext (-altivec) -pic -static-libs (-vis)" 
[blocks b      ] <media-video/libav-0.8.2-r2 ("<media-video/libav-0.8.2-r2" is blocking media-libs/libpostproc-0.8.0.20120229)
[blocks b      ] media-libs/libpostproc ("media-libs/libpostproc" is blocking media-video/libav-0.8.2)

Total: 1 package (1 downgrade, 1 uninstall), Size of downloads: 3,719 kB
Conflict: 2 blocks

3. Upgrade the world
Actual Results:  
# emerge -pvuDN @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-libs/openal-1.13  USE="alsa pulseaudio -debug -oss -portaudio" 112 kB
[ebuild     U  ] media-video/libav-0.8.3 [0.8.2] USE="X aac alsa amr bzip2 encode faac gpl hardcoded-tables ieee1394 jpeg2k mmx mmxext mp3 pulseaudio qt-faststart speex ssl theora threads truetype vaapi vdpau vorbis vpx x264 xvid zlib -3dnow -3dnowext (-altivec) -avx -bindist -cdio -cpudetection -custom-cflags -debug -dirac -doc -frei0r -gsm -jack (-neon) -network -openssl -oss -pic -rtmp -schroedinger -sdl -ssse3 -static-libs -test -v4l (-vis) (-iwmmxt%)" 0 kB
[ebuild  N     ] media-video/ffmpeg-0.10.3  USE="X aac alsa amr bzip2 encode faac hardcoded-tables ieee1394 jpeg2k mmx mmxext mp3 openal pulseaudio speex theora truetype vaapi vdpau vorbis vpx x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -cdio (-celt) -cpudetection -debug -dirac -doc -frei0r -gnutls -gsm -jack -libass -libv4l -modplug (-neon) -network -openssl -oss -pic -rtmp -schroedinger -sdl -ssse3 -static-libs -test -threads -v4l (-vis)" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" 5,719 kB
[blocks B      ] media-video/ffmpeg ("media-video/ffmpeg" is blocking media-video/libav-0.8.3, media-video/libav-0.8.2)

Total: 3 packages (1 upgrade, 2 new), Size of downloads: 5,830 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/ffmpeg-0.10.3::gentoo, ebuild scheduled for merge) pulled in by
    media-video/ffmpeg required by (media-video/mplayer2-2.0_p20120309::gentoo, installed)
    media-video/ffmpeg required by (media-plugins/gst-plugins-ffmpeg-0.10.13-r2::gentoo, installed)

  (media-video/libav-0.8.3::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/libav-0.8.2[X,encode,jpeg2k,mp3,-sdl,theora,threads,truetype,vaapi,vdpau,x264] required by (virtual/ffmpeg-0.10.2-r1::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

Expected Results:  
Portage should choose to install media-libs/libpostproc instead of media-video/ffmpeg. Now this can be done this way:

# echo media-video/ffmpeg >> /etc/portage/package.mask 
# emerge -pvuDN @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-video/libav-0.8.3 [0.8.2] USE="X aac alsa amr bzip2 encode faac gpl hardcoded-tables ieee1394 jpeg2k mmx mmxext mp3 pulseaudio qt-faststart speex ssl theora threads truetype vaapi vdpau vorbis vpx x264 xvid zlib -3dnow -3dnowext (-altivec) -avx -bindist -cdio -cpudetection -custom-cflags -debug -dirac -doc -frei0r -gsm -jack (-neon) -network -openssl -oss -pic -rtmp -schroedinger -sdl -ssse3 -static-libs -test -v4l (-vis) (-iwmmxt%)" 0 kB
[ebuild  N     ] media-libs/libpostproc-0.8.0.20120229  USE="mmx -3dnow -3dnowext (-altivec) -pic -static-libs (-vis)" 0 kB

Total: 2 packages (1 upgrade, 1 new), Size of downloads: 0 kB

# emerge --info 
Portage 2.1.10.65 (hardened/linux/amd64, gcc-4.6.3, glibc-2.14.1-r3, 3.2.19-hardened-r1 x86_64)
=================================================================
System uname: Linux-3.2.19-hardened-r1-x86_64-Intel-R-_Pentium-R-_D_CPU_2.80GHz-with-gentoo-2.1
Timestamp of tree: Sat, 23 Jun 2012 18:15:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -mtune=nocona -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=nocona -mtune=nocona -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.agava.net/gentoo/ ftp://mirror.agava.net/gentoo/ "
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.ru.gentoo.org/gentoo-portage"
USE="X aac acl acpi aio alsa amd64 amr ape asyncns bash-completion berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdparanoia cdr cli colord consolekit cracklib crypt cups cxx dbus device-mapper djvu dri dts dvd dvdr examples exif faac faad ffmpeg flac fontconfig fuse gdbm gif gnome gnome-keyring gpm gtk gtk3 hardened iconv icu idn ieee1394 ipv6 jpeg jpeg2k justify libnotify libsamplerate logrotate lzma mac mad maildir mms mmx mmxext modules mp3 mp4 mudflap multilib musepack musicbrainz nautilus ncurses nls nptl nptlonly ogg openal opengl openmp pam pax_kernel pcre perl pmu png policykit pppd pulseaudio python raw readline samba session speex sse sse2 sse3 ssl startup-notification svg tcpd theora tiff tls truetype udev unicode urandom usb vaapi vdpau vim-syntax vorbis vpx wavpack webp x264 xattr xfs xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="*" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="lvm" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="x86_64 i386 mips mips64 mips64el mipsel arm" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel vesa v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Ben de Groot (RETIRED) gentoo-dev 2015-03-15 09:22:53 UTC
mplayer2 is abandoned and last-rited